part of 'plot_action_type_cubit.dart';

abstract class PlotActionTypeState extends Equatable {
  const PlotActionTypeState();

  @override
  List<Object> get props => [];
}

class PlotActionTypeInitial extends PlotActionTypeState {}

class PlotActionTypeLoading extends PlotActionTypeState {}

class PlotActionTypeSuccess extends PlotActionTypeState {
  final List<ActionType> actionTypes;
  PlotActionTypeSuccess(this.actionTypes);
}

class PlotActionTypeError extends PlotActionTypeState {
  final String error;
  PlotActionTypeError(this.error);
}
